Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface IExportImportManager

All Known Subinterfaces:
  ExportImportManager

    public interface IExportImportManager

This is the primary interface for performing updates to and from XML files. Importing data is the process of taking an xml file (.portal, .page, .book, or .pinc) and bringing that data into the desktop. Exporting data is the process of turning a database representation into an xml file.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`String` | `getDesktopBookXml(ExportContext exportContext, DesktopDefinitionId desktopDefinitionId, String bookDefinitionLabel)` Export a customized book to an xml string.
`String` | `getDesktopPageXml(ExportContext exportContext, DesktopDefinitionId desktopDefinitionId, String pageDefinitionLabel)` Export a customized page in a desktop to an xml string.
`String` | `getDesktopXml(ExportContext exportContext, DesktopDefinitionId desktopDefinitionId)` Export a desktop to an xml string.
`String` | `getLibraryBookXml(ExportContext exportContext, String webapp, String bookDefinitionLabel)` Export a library book to an xml string.
`String` | `getLibraryPageXml(ExportContext exportContext, String webapp, String pageDefinitionLabel)` Export a library page to an xml string.
`void` | `updateDesktopBookView(ImportContext importContext, DesktopDefinitionId desktopDefinitionId, String xml)` Update a customized book in a desktop with from a given .book file.
`void` | `updateDesktopPageView(ImportContext importContext, DesktopDefinitionId desktopDefinitionId, String xml)` Update a customized page in a desktop with from a given .page file.
`void` | `updateDesktopView(ImportContext importContext, DesktopDefinitionId desktopDefinitionId, String xml)` Update a desktop with from a given .portal file.
`void` | `updateLibraryBookView(ImportContext importContext, String webapp, String xml)` Update a library book with from a given .book file.
`void` | `updateLibraryPageView(ImportContext importContext, String webapp, String xml)` Update a library page with from a given .page file.

Method Detail

### updateDesktopView

    void updateDesktopView(ImportContext importContext,
                           DesktopDefinitionId desktopDefinitionId,
                           String xml)
                           throws RemoteException,
                                  DuplicateDefinitionException,
                                  DuplicateObjectException,
                                  ObjectNotFoundException,
                                  NotEntitledException,
                                  UnsupportedEncodingException

  Update a desktop with from a given .portal file.

  Parameters
    `importContext` - context information and parameters
    `desktopDefinitionId` - the desktop to update
    `xml` - the contents of the .portal file
  Throws
    `RemoteException`
    `DuplicateDefinitionException`
    `DuplicateObjectException`
    `ObjectNotFoundException`
    `NotEntitledException`
    `UnsupportedEncodingException`

### getDesktopXml

    String getDesktopXml(ExportContext exportContext,
                         DesktopDefinitionId desktopDefinitionId)
                         throws RemoteException,
                                NotEntitledException

  Export a desktop to an xml string.

  Parameters
    `exportContext` - context information and parameters
    `desktopDefinitionId` - the desktop to export
  Returns
    an xml string that could be saved as a .portal file
  Throws
    `RemoteException`
    `NotEntitledException`

### updateDesktopBookView

    void updateDesktopBookView(ImportContext importContext,
                               DesktopDefinitionId desktopDefinitionId,
                               String xml)
                               throws RemoteException,
                                      DuplicateDefinitionException,
                                      DuplicateObjectException,
                                      ObjectNotFoundException,
                                      NotEntitledException,
                                      UnsupportedEncodingException

  Update a customized book in a desktop with from a given .book file.

  Parameters
    `importContext` - context information and parameters
    `desktopDefinitionId` - the desktop to update
    `xml` - the contents of the .portal file
  Throws
    `RemoteException`
    `DuplicateDefinitionException`
    `DuplicateObjectException`
    `ObjectNotFoundException`
    `NotEntitledException`
    `UnsupportedEncodingException`

### getDesktopBookXml

    String getDesktopBookXml(ExportContext exportContext,
                             DesktopDefinitionId desktopDefinitionId,
                             String bookDefinitionLabel)
                             throws RemoteException,
                                    NotEntitledException

  Export a customized book to an xml string.

  Parameters
    `exportContext` - context information and parameters
    `desktopDefinitionId` - the desktop to export
    `bookDefinitionLabel` - the definition label of the book to export
  Returns
    an xml string that could be saved as a .book file
  Throws
    `RemoteException`
    `NotEntitledException`

### updateLibraryBookView

    void updateLibraryBookView(ImportContext importContext,
                               String webapp,
                               String xml)
                               throws RemoteException,
                                      DuplicateDefinitionException,
                                      DuplicateObjectException,
                                      ObjectNotFoundException,
                                      NotEntitledException,
                                      UnsupportedEncodingException

  Update a library book with from a given .book file.

  Parameters
    `importContext` - context information and parameters
    `webapp` - the webapp that contains the book
    `xml` - the contents of the .book file
  Throws
    `RemoteException`
    `DuplicateDefinitionException`
    `DuplicateObjectException`
    `ObjectNotFoundException`
    `NotEntitledException`
    `UnsupportedEncodingException`

### getLibraryBookXml

    String getLibraryBookXml(ExportContext exportContext,
                             String webapp,
                             String bookDefinitionLabel)
                             throws RemoteException,
                                    NotEntitledException

  Export a library book to an xml string.

  Parameters
    `exportContext` - context information and parameters
    `webapp` - the webapp that contains the book
    `bookDefinitionLabel` - the definition label of the book to export
  Returns
    an xml string that could be saved as a .book file
  Throws
    `RemoteException`
    `NotEntitledException`

### updateDesktopPageView

    void updateDesktopPageView(ImportContext importContext,
                               DesktopDefinitionId desktopDefinitionId,
                               String xml)
                               throws RemoteException,
                                      DuplicateDefinitionException,
                                      DuplicateObjectException,
                                      ObjectNotFoundException,
                                      NotEntitledException,
                                      UnsupportedEncodingException

  Update a customized page in a desktop with from a given .page file.

  Parameters
    `importContext` - context information and parameters
    `desktopDefinitionId` - the desktop to update
    `xml` - the contents of the .portal file
  Throws
    `RemoteException`
    `DuplicateDefinitionException`
    `DuplicateObjectException`
    `ObjectNotFoundException`
    `NotEntitledException`
    `UnsupportedEncodingException`

### getDesktopPageXml

    String getDesktopPageXml(ExportContext exportContext,
                             DesktopDefinitionId desktopDefinitionId,
                             String pageDefinitionLabel)
                             throws RemoteException,
                                    NotEntitledException

  Export a customized page in a desktop to an xml string.

  Parameters
    `exportContext` - context information and parameters
    `desktopDefinitionId` - the desktop to export
    `pageDefinitionLabel` - the definition label of the page to export
  Returns
    an xml string that could be saved as a .page file
  Throws
    `RemoteException`
    `NotEntitledException`

### updateLibraryPageView

    void updateLibraryPageView(ImportContext importContext,
                               String webapp,
                               String xml)
                               throws RemoteException,
                                      DuplicateDefinitionException,
                                      DuplicateObjectException,
                                      ObjectNotFoundException,
                                      NotEntitledException,
                                      UnsupportedEncodingException

  Update a library page with from a given .page file.

  Parameters
    `importContext` - context information and parameters
    `webapp` - the webapp that contains the page
    `xml` - the contents of the .portal file
  Throws
    `RemoteException`
    `DuplicateDefinitionException`
    `DuplicateObjectException`
    `ObjectNotFoundException`
    `NotEntitledException`
    `UnsupportedEncodingException`

### getLibraryPageXml

    String getLibraryPageXml(ExportContext exportContext,
                             String webapp,
                             String pageDefinitionLabel)
                             throws RemoteException,
                                    NotEntitledException

  Export a library page to an xml string.

  Parameters
    `exportContext` - context information and parameters
    `webapp` - the webapp that contains the page
    `pageDefinitionLabel` - the definition label of the page to export
  Returns
    an xml string that could be saved as a .page file
  Throws
    `RemoteException`
    `NotEntitledException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved